nxt.addons

## Class ContractLoader.CloudDataClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - nxt.addons.ContractLoader.CloudDataClassLoader

- Enclosing class:
    ContractLoader

      public static class ContractLoader.CloudDataClassLoader
      extends java.security.SecureClassLoader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloudDataClassLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Class<?>` | `findClass(java.lang.String name)`
    `protected java.security.PermissionCollection` | `getPermissions(java.security.CodeSource codesource)` Assign the permissions defined in the policy file to the protection domain based on the code source
    `void` | `setClassBytes(byte[] classBytes)`
    `void` | `setProtectionDomain(java.security.ProtectionDomain protectionDomain)`

    - ### Methods inherited from class java.security.SecureClassLoader

      `defineClass, defineClass`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CloudDataClassLoader

          public CloudDataClassLoader()

  - ### Method Detail

    - #### setClassBytes

          public void setClassBytes(byte[] classBytes)

    - #### setProtectionDomain

          public void setProtectionDomain(java.security.ProtectionDomain protectionDomain)

    - #### findClass

          protected java.lang.Class<?> findClass(java.lang.String name)

      Overrides:
        `findClass` in class `java.lang.ClassLoader`

    - #### getPermissions

          protected java.security.PermissionCollection getPermissions(java.security.CodeSource codesource)

      Assign the permissions defined in the policy file to the protection domain based on the code source
      Overrides:
        `getPermissions` in class `java.security.SecureClassLoader`
      Parameters:
        `codesource` - the code source for the contract class
      Returns:
        the permissions granted for the contract